

#    MIDAS Access Client  for the  DataAcquisitionControl service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global DataAcquisitionControlServerHost DataAcquisitionControlServerPort

if {[info exists DataAcquisitionControlServerHost] == 0} then {set DataAcquisitionControlServerHost localhost}
if {[info exists DataAcquisitionControlServerPort] == 0} then {set DataAcquisitionControlServerPort 8015}

variable uri "urn:DataAcquisitionControlServer"
variable proxy "http://$DataAcquisitionControlServerHost:$DataAcquisitionControlServerPort/DataAcquisitionControlServer"


SOAP::create DataAcquisitionControlClient__Get_State -proxy $proxy -uri $uri -timeout 10000 \
     -name Get_State \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request 

SOAP::create DataAcquisitionControlClient__Do_Setup -proxy $proxy -uri $uri -timeout 10000 \
     -name Do_Setup \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DataAcquisitionControlClient__Do_Stop -proxy $proxy -uri $uri -timeout 10000 \
     -name Do_Stop \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DataAcquisitionControlClient__Do_Go -proxy $proxy -uri $uri -timeout 10000 \
     -name Do_Go \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DataAcquisitionControlClient__Get_Counters -proxy $proxy -uri $uri -timeout 10000 \
     -name Get_Counters \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request 

SOAP::create DataAcquisitionControlClient__Get_Rates -proxy $proxy -uri $uri -timeout 10000 \
     -name Get_Rates \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request

SOAP::create DataAcquisitionControlClient__ServerVerbose -proxy $proxy -uri $uri -timeout 1000 \
     -name ServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 



package provide DataAcquisitionControlClient 1.0
