
#   package-load.tcl   -   SOAP client packages

proc init-packages_8.3 {} {}

proc init-packages_8.4 {} {
    global env tcl_platform

    if {$tcl_platform(os) == "Windows NT"} then {set os Win} else {set os $tcl_platform(os)}

#    puts stdout "Setting up access for MIDAS packages"
    
#    packages which are OS dependent
    
    switch $os {
        Win    {
        }        
        SunOS  {
        }
        Linux  {
        }
    }
    
#    packages which are available for all OSes

      load-package HelloClient 1.0
      load-package CommandServerClient 1.0 
      load-package RshServerClient 1.0

      load-package CAMACAccessClient 1.0
      load-package VMEAccessClient 1.0 
      load-package SigTaskClient 1.0
      load-package NetVarClient 1.0
      load-package MessageLoggerClient 1.0

      load-package TapeClient 1.0
      load-package SpectrumServerClient 1.0
 
      load-package QClient 1.0
      load-package VHSADCClient 1.0
      load-package SMClient 1.0
      load-package XportClient 1.0
      load-package AGATADigitizerAccessClient 1.0
      load-package AGATADataBaseAccessClient 1.0
      load-package ABCAccessClient 1.0
      load-package TDRIAccessClient 1.0
      load-package MPXAccessClient 1.0
      load-package DataAcquisitionControl 1.0

}

proc load-package {package version} {
    global env 

    package ifneeded $package $version [list source [file join $env(MIDASBASE) SOAP tcl [set package].tcl]]
#    puts stdout "package $package available"
}
