

set PACKAGE udp
set VERSION 1.0.7


global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) TclTkpackages tcludp 1.0.7 Win udp107.dll]]
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
            [load [file join $env(MIDASBASE) TclTkpackages tcludp 1.0.7 SunOS libudp1.0.7.so]]
   }
   Linux {
       switch $tcl_platform(machine) {
           i686 -
           intel {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) TclTkpackages tcludp 1.0.7 Linux libudp1.0.7.so]]
           }
           ppc {
               package ifneeded $PACKAGE $VERSION  \
                   {puts stderr "Package $PACKAGE is not available for Linux on $tcl_platform(machine)"}
           }
           default {"unknown or unsupported machine - $tcl_platform(machine)"}
       }
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

